Bug 1005204 - DRL containing CEP Windows do not compile if Type is defined in Java and annotated as event
DRL containing CEP Windows do not compile if Type is defined in Java and anno...
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high
: ER5
: 6.0.0
Assigned To: Mario Fusco
Marek Winkler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 08:43 EDT by manstis
Modified: 2014-08-06 16:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:18:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description manstis 2013-09-06 08:43:06 EDT
Description of problem:

If a Type used in DRL that uses CEP Windows is defined in Java and annotated with @org.kie.api.definition.type.Role(value = org.kie.api.definition.type.Role.Type.EVENT) the DRL fails to compile.

Version-Release number of selected component (if applicable):

6.0.0.

How reproducible:

See org.drools.compiler.integrationtests.CepJavaTypeTest in drools-compiler for a reproducer.

Steps to Reproduce:
1. See reproducer.

Actual results:

Build errors.

Expected results:

DRL compiles the same as if Type was defined in DRL.

Additional info:
Comment 6 Mario Fusco 2013-10-10 06:23:57 EDT
Fixed by https://github.com/droolsjbpm/drools/commit/f4baca9a4
Comment 7 Marek Winkler 2013-12-12 11:54:35 EST
Verified on BRMS 6.0.0 ER5.

Note You need to log in before you can comment on or make changes to this bug.